Subject: bug#72282: History entries shouldn't have the exact region hardwired in

From: Drew Adams <[email-masked]>
Date: Thu, 25 Jul 2024 02:06:08 +0000

> (repeat-complex-command)
> is great, except when used after
> (shell-command-on-region)
> in which case we will be repeating
> (shell-command-on-region 2234 2892 ...)
> instead of just
> (shell-command-on-region REGION-START REGION-END ...)
> in other words the previous exact region is hardwired into
> the history.
> 
> Yes, you might say well then just do `M-| <up> RET`.
> Well that's harder to type than `<again>`, `<redo>`, `C-x M-:` or `C-x
> M-ESC`,
> which are the bindings of repeat-complex-command.
> 
> So maybe for all history items, they shouldn't have the exact region
> hardwired in.

I brought this up when the change was made to do
what's done now.  Originally Emacs put nil nil
in place of the specific region limits.

I don't recall whether a bug was filed for that
change or it was discussed in emacs-devel before
the change was made.  In any case, the decision
was to go with the "enhancement" that we have
now: the specific region limits.

IOW, FWIW, I agree with you.  I find myself
hand-replacing the numeric limits with nil's
fairly often.

I don't recall the reasons given for the change
to use the explicit numbers - if any reasons
were given.